Subject: Re: bug#32564: 27.0.50; cedet/ede/pconf.el

From: Pierre Lorenzon <[email-masked]>
Date: Sat, 01 Sep 2018 05:38:58 +0200 (CEST)

Hi Noam,

Thanks answering this problem taht have been pending for a long
time ! 

From: Noam Postavsky <[email-masked]>
Subject: Re: bug#32564: 27.0.50; cedet/ede/pconf.el
Date: Fri, 31 Aug 2018 22:16:30 -0400

> Pierre Lorenzon <[email-masked]> writes:
> 
>> Bug in pconf.el has not been fixed yet. Here is a diff
>> indicating what has to be done. I have to do it each time I
>> upgrade my git copy of emacs otherwise C-c . C in ede mode
>> crashes.
> 
>> @@ -135,7 +135,7 @@
>>  	  (with-current-buffer "*compilation*"
>>  	    (goto-char (point-max))
>>  
>> -	    (when (not (string= mode-line-process ":exit [0]"))
>> +	    (when (not (string= (car mode-line-process) ":exit [0]"))
>>  	      (error "Configure failed!"))
>>  
>>  	    ;; The Makefile is now recreated by configure?
>>
>> Diff finished.  Wed Aug 29 05:09:19 2018
>>
>>
>>>>>  -- End Diff 
>>
>>
>> The problem is that this code do not take care of the fact that
>> type of variable `mode-line-process' has been changed from
>> string to list.
> 
> Wouldn't it be better to, e.g., add a function to
> compilation-finish-functions so that pconf would stop depending on the
> exact modeline format used by compile.el?

  In my opinion your solution is clearly better than the small
  dirthy hack I have done ! But I am developer of none of these
  packages, so I have simply done the simplest and fastest
  thing I could do to be able using C-c . C to compile my codes
  !

  Regards

  Pierre